%% analyza.m
% Analyza signalu

function [f, VT, IRV, IC, ERV, FVC, fv_prutok, fv_objem, objem_kor, fev1, pef, fef_25_75, objem_max, objem_min] = analyza(prutok)

[prutok_kor, objem_kor, polohy_nul_prutok, poc_dech] = korekce(prutok); % korekce zaznamu na drift, detekce maxim a nulovych bodu v zaznamu prutoku

[objem_max, objem_min] = objem_body(objem_kor, polohy_nul_prutok, poc_dech); % detekce maxim v zaznamu objemu

[f, VT] = frekv_vt(objem_max, objem_min, poc_dech, polohy_nul_prutok); % vypocet frekvence a dechoveho objemu

[IRV, IC, ERV, FVC] = kapacity_objemy(objem_max, objem_min, poc_dech, VT); % vypocet plicnich objemu a kapacit

[fv_prutok, fv_objem] = prutok_objem(objem_kor, prutok_kor, polohy_nul_prutok, poc_dech); % záznam pro vytvoreni krivky prutok/objem a objem/cas

[fev1, pef, fef_25_75] = dynam_parametry(fv_prutok, fv_objem); % vypocet dynamickych dechovych parametru